package com.inspect.system.service.impl;

import com.inspect.system.base.domain.SysOperateLog;
import com.inspect.system.mapper.SysOperateLogMapper;
import com.inspect.system.service.ISysOperateLogService;

import java.util.List;

import org.springframework.stereotype.Service;

@Service
public class SysOperateLogServiceImpl implements ISysOperateLogService {
    private final SysOperateLogMapper operateLogMapper;

    public SysOperateLogServiceImpl(SysOperateLogMapper operateLogMapper) {
        this.operateLogMapper = operateLogMapper;
    }

    public int insertOperateLog(SysOperateLog operateLog) {
        return operateLogMapper.insertOperateLog(operateLog);
    }

    public List<SysOperateLog> selectOperateLogList(SysOperateLog operateLog) {
        return operateLogMapper.selectOperateLogList(operateLog);
    }

    public int deleteOperateLogByIds(Long[] operateIds) {
        return operateLogMapper.deleteOperateLogByIds(operateIds);
    }

    public SysOperateLog selectOperateLogById(Long operateId) {
        return operateLogMapper.selectOperateLogById(operateId);
    }

    public void cleanOperateLog() {
        operateLogMapper.cleanOperateLog();
    }

    public List<SysOperateLog> selectAuditOperLogList(SysOperateLog operateLog) {
        return operateLogMapper.selectAuditOperLogList(operateLog);
    }
}
